Bug 1123654 - Review Request: smemstat - Shared memory usage monitoring tool
Summary: Review Request: smemstat - Shared memory usage monitoring tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 18:40 UTC by Eduardo Mayorga
Modified: 2014-11-15 09:10 UTC (History)
3 users (show)

Fixed In Version: smemstat-0.01.10-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-14 00:15:43 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eduardo Mayorga 2014-07-27 18:40:11 UTC
Spec URL: https://mayorga.fedorapeople.org/smemstat.spec
SRPM URL: https://mayorga.fedorapeople.org/smemstat-0.01.03-1.fc20.src.rpm
Description: Smemstat reports the physical memory usage taking into consideration shared memory. The tool can either report a current snapshot of memory usage or periodically dump out any changes in memory.

Fedora Account System Username: mayorga

Comment 1 Christopher Meng 2014-07-28 03:03:47 UTC
CFLAGS not set.
LDFLAGS not set. 

Dude packaging C program is not as easy as packing python modules. And why don't you package the LATEST version?

Comment 2 Michael Schwendt 2014-07-28 10:53:52 UTC
There are much nicer/friendlier ways to point that out, Christopher.

Comment 3 Eduardo Mayorga 2014-08-02 17:42:43 UTC
Spec URL: https://mayorga.fedorapeople.org/smemstat.spec
SRPM URL: https://mayorga.fedorapeople.org/smemstat-0.01.10-1.fc20.src.rpm
Koji build task: http://koji.fedoraproject.org/koji/taskinfo?taskID=7234343

* Sat Aug 02 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.01.10-1
- Update to 0.01.10
- Setting CFLAGS and LDFLAGS

Comment 4 Florian "der-flo" Lehner 2014-08-02 19:04:49 UTC
Since no one is assigned, I will do this.


[ ] To fix the 'summary-not-capitalized'-warning write 'Shared' instead of 'shared' in the summary
[ ] Please add '%global _hardened_build 1'. This is for security reasons because most people I think will run this tool as root.
    https://fedoraproject.org/wiki/Packaging:Guidelines?rd=PackagingHints#PIE

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines

   ---> please add _hardened_build as explained above

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7234474
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: smemstat-0.01.10-1.fc22.x86_64.rpm
          smemstat-0.01.10-1.fc22.src.rpm
smemstat.x86_64: W: summary-not-capitalized C shared memory usage monitoring tool
smemstat.src: W: summary-not-capitalized C shared memory usage monitoring tool
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint smemstat
smemstat.x86_64: W: summary-not-capitalized C shared memory usage monitoring tool
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
smemstat (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
smemstat:
    smemstat
    smemstat(x86-64)



Source checksums
----------------
http://kernel.ubuntu.com/~cking/tarballs/smemstat/smemstat-0.01.10.tar.gz :
  CHECKSUM(SHA256) this package     : 0d166a29bf2b842310639eecaf1082e46390622fca193c8c533c2f4223126053
  CHECKSUM(SHA256) upstream package : 0d166a29bf2b842310639eecaf1082e46390622fca193c8c533c2f4223126053


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1123654
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Eduardo Mayorga 2014-08-03 01:58:13 UTC
Spec URL: https://mayorga.fedorapeople.org/smemstat.spec
SRPM URL: https://mayorga.fedorapeople.org/smemstat-0.01.10-2.fc20.src.rpm
Koji build task: http://koji.fedoraproject.org/koji/taskinfo?taskID=7234709

* Sun Aug 03 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.01.10-2
- Adding PIE compiler flags
- Capitalizing summary

Comment 6 Florian "der-flo" Lehner 2014-08-03 10:04:29 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=7235294

Package complies to the Packaging Guidelines, so i approve it.

Comment 7 Christopher Meng 2014-08-03 12:27:08 UTC
Why?

# This package runs as root
%global _hardened_build 1

Comment 8 Florian "der-flo" Lehner 2014-08-03 12:35:12 UTC
(In reply to Christopher Meng from comment #7)
> Why?

As I mentioned: 

(In reply to Florian "der-flo" Lehner from comment #4)
> [ ] Please add '%global _hardened_build 1'. This is for security reasons
> because most people I think will run this tool as root.
>     https://fedoraproject.org/wiki/Packaging:Guidelines?rd=PackagingHints#PIE

And according to the manpage:
"Running with root privilege will report all user space processes, otherwise
running without will just report the current user's processes."

Comment 9 Christopher Meng 2014-08-03 13:01:33 UTC
And, where is the changelog?

Comment 10 Florian "der-flo" Lehner 2014-08-03 13:04:37 UTC
(In reply to Christopher Meng from comment #9)
> And, where is the changelog?

in the spec-File:

* Sun Aug 03 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.01.10-2
- Adding PIE compiler flags

Comment 11 Christopher Meng 2014-08-03 13:11:11 UTC
I mean the software changelog.

Comment 12 Florian "der-flo" Lehner 2014-08-03 13:14:56 UTC
As an experienced user, you can read it from the changelog.

0.01.03-1 > 0.01.10-1 > 0.01.10-2

It was not explicitly listed. But I'm ok with it.

Comment 13 Christopher Meng 2014-08-03 13:29:24 UTC
It's better to include the changelog in debian/ from git as I'm talking with you based on the package in my local repo, I didn't submit it to the review because this Ubuntu guy has written many freaks of XXXstat and none of these really do something new.

This is not a blocker as I'm not the reviewer, and please understand the difference between "software changelog" and "package changelog".

Comment 14 Florian "der-flo" Lehner 2014-08-03 13:48:34 UTC
(In reply to Christopher Meng from comment #13)
> It's better to include the changelog in debian/ from git

There is only one thing, the license text, that must be included in %doc.

And directly copied from the spec-file:
%doc COPYING

Everything else should be but mustn't be included.
https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation

> [...] I didn't submit it to the review
> because this Ubuntu guy has written many freaks of XXXstat and none of these
> really do something new.

It's about diversity. There is a lot of software doing the exact same thing. But they all do/present it in a different way and that's the important point.

> This is not a blocker as I'm not the reviewer, and please understand the
> difference between "software changelog" and "package changelog".

Where did you mentioned the software changelog in the comments above?

Comment 15 Eduardo Mayorga 2014-08-04 20:51:32 UTC
New Package SCM Request
=======================
Package Name: smemstat
Short Description: Shared memory usage monitoring tool
Upstream URL: http://kernel.ubuntu.com/~cking/smemstat
Owners: mayorga
Branches: f19 f20 f21 el6 epel7
InitialCC:

Comment 16 Gwyn Ciesla 2014-08-05 12:20:28 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2014-08-08 00:29:02 UTC
smemstat-0.01.10-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/smemstat-0.01.10-2.el6

Comment 18 Fedora Update System 2014-08-08 00:43:00 UTC
smemstat-0.01.10-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/smemstat-0.01.10-2.fc19

Comment 19 Fedora Update System 2014-08-08 04:19:37 UTC
smemstat-0.01.10-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/smemstat-0.01.10-2.fc20

Comment 20 Fedora Update System 2014-08-09 00:07:38 UTC
smemstat-0.01.10-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 21 Fedora Update System 2014-11-14 00:15:43 UTC
smemstat-0.01.10-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 22 Fedora Update System 2014-11-14 12:09:41 UTC
smemstat-0.01.10-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 23 Fedora Update System 2014-11-15 09:10:11 UTC
smemstat-0.01.10-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.